package com.trafficparrot.examples.hello.jms;

import com.trafficparrot.examples.tools.jms.JmsClient;
import org.junit.Test;

import javax.jms.JMSException;
import java.io.IOException;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

public class HelloWorldJmsQueueIntegrationTest {
    private final JmsClient jmsClient = new JmsClient();

    @Test(timeout = 30_000)
    public void helloWorldJmsQueue() throws IOException, JMSException {
        jmsClient.sendTextMessageToQueue("request.queue", "hello");

        String response = jmsClient.consumeTextMessageFromQueue("response.queue");

        assertThat(response, is("world"));
    }
}
